incubator-jspwiki-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "brushed (JIRA)" <>
Subject [jira] [Commented] (JSPWIKI-382) Remove posteditor.js
Date Mon, 16 Jul 2012 19:37:34 GMT


brushed commented on JSPWIKI-382:


The posteditor.js is only compatible with safari and firefox. (probably also chrome)  IE support
was never intended by the author.

As soon as jspwiki graduation is completed, I plan to do a major update of the plain editor.
Parts of it were already committed in v3.0.0. That update will remove the need of the posteditor.js.
 So, I suggest to leave this jira issue till then.

> Remove posteditor.js
> --------------------
>                 Key: JSPWIKI-382
>                 URL:
>             Project: JSPWiki
>          Issue Type: Task
>          Components: Default template
>            Reporter: Janne Jalkanen
>            Assignee: brushed
> Current trunk includes "posteditor.js", which is not only responsible for JSPWIKI-380,
the licensing also does not allow it to be included in an Apache project.
> The licensing conditions say exactly: 
> {quote}
> License:
> 	MIT-style license.
> {quote}
> However, this is not legally binding at all - the license conditions MUST be explicitly
stated.  "MIT-style" could mean anything...
> Therefore, I propose we drop posteditor.js and all the related functionality asap.

This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators:!default.jspa
For more information on JIRA, see:


View raw message